
main() {
  var a;

  try {
    a.doSomething();   // rzuci wyjątek
  } on NoSuchMethodError {   // ale tym  razem jest on obsłużony
    print("'a' variable does not have the doSomething() method ");
  }
}
